OroPlatform Forums

Covering OroPlatform topics, including community updates and company announcements.

Forums Forums OroPlatform OroPlatform – Installation/Technical Issues or Problems Issues with datagrid when upgrading 1.1.0 to 1.2.0

This topic contains 2 replies, has 2 voices, and was last updated by Dima Soroka Dima Soroka 6 years, 2 months ago.

Starting from March 1, 2020 the forum has been switched to the read-only mode. Please head to StackOverflow for support.

  • Creator
    Topic
  • #34948

    andesk
    Participant

    Hi there,

    I ran into issues when trying to update OroPlatform to 1.2.0. I followed the instructions from UPGRADE.md file (https://github.com/orocrm/platform/blob/1.2.0/UPGRADE.md):

    – updated my composer.json to use 1.2.0 instead of 1.1.0
    – did php composer-phar update –prefer-dist (instead of install…)
    – removed cache, js and css files

    When running “php app/console oro:platform:update –env=prod” I get the following php fatal error message addressing usage of a non existent service in one of our custom bundle’s services.yml (used inside a event listener service definition to extend datagrid logic on build.after event):

    Uncaught exception ‘Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException’ with message ‘The service “<SOME_SERVICE_NAME>” has a dependency on a non-existent service “oro_datagrid.datagrid.request_params”.’ in /vagrant/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php:59
    Stack trace:
    #0 /vagrant/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(43): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processReferences(Array)
    #1 /vagrant/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(37): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processDefinition(Object(Symfony\Component\DependencyInjection\Definition))
    #2 /vagrant/vendor/ in /vagrant/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php on line 59

    As far as i can see, the oro_datagrid.datagrid.request_params service is not in use anymore in OroPlatform bundles, but I can not find a good example/documentation about the change in the docs of DataGridBundle.

    Could you shortly describe, *what* has changed here for defining those event listeners to extend datagrid logic in custom bundles and using the request parameters and how to use/define services/event listeners with version 1.2.*? Thanks in advance!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Author
    Replies
  • #34949

    andesk
    Participant

    Ah, I think I got it: the parameters are now part of the BuildAfter-event-object ($event->getDatagrid()->getParameters()), usage of service not needed anymore.

    This is not the first time, that some core stuff changes wihtout any further notice (UPGRADE.md is really short here). It would be great if you guys could try to document stuff like this as well somehow for those who are not only using the orocrm application but the platform components itself. No critics, just a wish for improvement! ;) As you have to change the bundles using that core stuff yourself as well it should not be that difficult to just leave a note somewhere?

    #34950
    Dima Soroka
    Dima Soroka
    Keymaster

    Thanks for feedback, we’ll do a better job on updating UPGRADE.md file.

Viewing 2 replies - 1 through 2 (of 2 total)

The forum ‘OroPlatform – Installation/Technical Issues or Problems’ is closed to new topics and replies.

You will be redirected to [title]. Would you like to continue?

Yes No